package dev.kske.chess.piece;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>Knight.java</strong><br>
 * Created: <strong>01.07.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class Knight extends Piece {

	public Knight(Color color) {
		super(color);
	}

	@Override
	public boolean isValidMove(int xPos, int yPos, int xDest, int yDest) {
		int	xDist	= Math.abs(xDest - xPos);
		int	yDist	= Math.abs(yDest - yPos);
		return Math.abs(xDist - yDist) == 1 && xDist != 0 && yDist != 0;
	}

	@Override
	public Type getType() { return Type.KNIGHT; }
}
