package dev.kske.chess.piece;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>Pawn.java</strong><br>
 * Created: <strong>01.07.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class Pawn extends Piece {

	public Pawn(Color color) {
		super(color);
	}

	@Override
	public boolean isValidMove(int xPos, int yPos, int xDest, int yDest) {
		int	direction	= color == Color.WHITE ? -1 : 1;
		int	xDist		= Math.abs(xDest - xPos);
		int	yDist		= (yDest - yPos) * direction;
		return (xDist == 0 && yDist > 0 && yDist <= 2) || (xDist == 1 && yDist == 1);
	}

	@Override
	public Type getType() { return Type.PAWN; }
}
