package dev.kske.chess.piece;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>Queen.java</strong><br>
 * Created: <strong>01.07.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class Queen extends Piece {

	public Queen(Color color) {
		super(color);
	}

	@Override
	public boolean isValidMove(int xPos, int yPos, int xDest, int yDest) {
		return (xPos == xDest || yPos == yDest) || (Math.abs(xDest - xPos) == Math.abs(yDest - yPos));
	}

	@Override
	public Type getType() { return Type.QUEEN; }
}
